Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenLinkEnd

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenCommonBase, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenChildLabelNode, GenChildNode, GenChildSideAffixedNode, GenLink, GenNode, GenTopLevelNode

All Known Implementing Classes:
  GenChildLabelNodeImpl, GenChildNodeImpl, GenChildSideAffixedNodeImpl, GenLinkImpl, GenNodeImpl, GenTopLevelNodeImpl

    public interface GenLinkEnd

extends GenCommonBase

A representation of the model object 'Gen Link End'.

The following features are supported:

- `Gen Outgoing Links`
- `Gen Incoming Links`

See Also:
  `GMFGenPackage.getGenLinkEnd()`
** Generated **
Model:
  interface="true" abstract="true"

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<GenLink>` `getGenIncomingLinks()` Returns the value of the 'Gen Incoming Links' reference list.
`org.eclipse.emf.common.util.EList<GenLink>` `getGenOutgoingLinks()` Returns the value of the 'Gen Outgoing Links' reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGenOutgoingLinks

    org.eclipse.emf.common.util.EList<GenLink> getGenOutgoingLinks()

  Returns the value of the 'Gen Outgoing Links' reference list. The list contents are of type `GenLink`.

  If the meaning of the 'Gen Outgoing Links' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gen Outgoing Links' reference list.
  See Also:
    `GMFGenPackage.getGenLinkEnd_GenOutgoingLinks()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getGenIncomingLinks

    org.eclipse.emf.common.util.EList<GenLink> getGenIncomingLinks()

  Returns the value of the 'Gen Incoming Links' reference list. The list contents are of type `GenLink`.

  If the meaning of the 'Gen Incoming Links' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gen Incoming Links' reference list.
  See Also:
    `GMFGenPackage.getGenLinkEnd_GenIncomingLinks()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.